--- dovecot_exporter.go.orig	2018-09-12 13:52:05 UTC
+++ dovecot_exporter.go
@@ -25,7 +25,8 @@ import (
 	"strings"
 
 	"github.com/prometheus/client_golang/prometheus"
-	"gopkg.in/alecthomas/kingpin.v2"
+	"github.com/prometheus/client_golang/prometheus/promhttp"
+	"github.com/alecthomas/kingpin"
 )
 
 var dovecotUpDesc = prometheus.NewDesc(
@@ -216,7 +217,7 @@ func main() {
 	exporter := NewDovecotExporter(*socketPath, strings.Split(*dovecotScopes, ","))
 	prometheus.MustRegister(exporter)
 
-	http.Handle(*metricsPath, prometheus.Handler())
+	http.Handle(*metricsPath, promhttp.Handler())
 	http.HandleFunc("/", func(w http.ResponseWriter, r *http.Request) {
 		w.Write([]byte(`
 			<html>
